Bug 20220 - hwTimestamp should be interoperable with the high resolution time spec
Summary: hwTimestamp should be interoperable with the high resolution time spec
Status: RESOLVED FIXED
Alias: None
Product: PointerEventsWG
Classification: Unclassified
Component: Pointer Events specification (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Jacob Rossi [MSFT]
QA Contact: This bug has no owner yet - up for the taking
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 22:32 UTC by Rick Byers
Modified: 2013-01-07 23:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Byers 2012-12-03 22:32:28 UTC
PointerEvent has a hwTimestamp field, currently defined as:

A timestamp, in microseconds, of the pointer event as reported by hardware. The origin time (e.g. hwTimestamp equals 0) is hardware and/or operating system dependent. If the hardware does not provide a high resolution timestamp, then the value must be 0.

However, for this value to be really useful it must be comparable to the high-resolution time returned by other APIs.  In particular, the High Resolution Time spec (http://dvcs.w3.org/hg/webperf/raw-file/tip/specs/HighResolutionTime/Overview.html) defines specific semantics for such a value.  Can we just match those?

In fact, it sounds like 'systemTime' is going to be added to the DOM Event type for this purpose (http://lists.w3.org/Archives/Public/www-dom/2012OctDec/0022.html, http://lists.w3.org/Archives/Public/public-web-perf/2012Oct/0046.html).  Perhaps we should just remove hwTimestamp from pointer events, and rely on the pending addition for all types of Event.
Comment 1 Jacob Rossi [MSFT] 2013-01-07 23:30:37 UTC
Per 12/18 WG meeting resolution, removing hwTimestamp from spec. We will follow-up with DOM4/UI-EVENTS to pursue a general high-res timestamp on all events (not just pointer.

Resolution: http://www.w3.org/2012/12/18-pointerevents-minutes.html
Change: http://dvcs.w3.org/hg/pointerevents/rev/aa8c39e79e90